clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::CompletionContext Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::CompletionContext:
[legend]

## Public Attributes
CompletionTriggerKind | triggerKind = CompletionTriggerKind::Invoked
| How the completion was triggered. More...
std::string | triggerCharacter
| The trigger character (a single character) that has trigger code complete. More...

## Detailed Description

Definition at line 789 of file Protocol.h.

## Member Data Documentation

## ◆ triggerCharacter

std::string clang::clangd::CompletionContext::triggerCharacter

The trigger character (a single character) that has trigger code complete.

Is undefined if `triggerKind !== CompletionTriggerKind.TriggerCharacter`

Definition at line 794 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ triggerKind

CompletionTriggerKind clang::clangd::CompletionContext::triggerKind = CompletionTriggerKind::Invoked

How the completion was triggered.

Definition at line 791 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h